Subject: Black screen in installer
From: Iku-Tulo Vilutar <[email-masked]>
To: [email-masked]
Date: Sun, 27 Aug 2023 21:40:41 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I'm trying to install Guix system on an i386 laptop. When the installer
should reach the GUI, only a black screen is displayed.

I tried to boot by editing Linux boot parameters in GRUB and set
`nomodeset` and removed `quiet`. Now without `quiet` I saw the following
messages before the black screen:

```
intelfb: Version 0.9.6
intelfb: Cannot reserve FB region
```

Then I tried `nomodeset video=uvesafb` Linux parameters and the GUI now
rendered. I don't know if these work as a global workaround for other
machines, should they be documented in the installation instructions?